## python-zamg 0.3.6

=== requirements.txt ===
aiohttp
async-timeout
# for debug
poetry
pre-commit
pylint
black
vulture
tox
tox-pip-version
colorlog
reorder-python-imports==3.9.0
prettier
aresponses==2.1.6

=== debian/changelog ===
python-zamg (0.3.6-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Wed, 19 Mar 2025 20:57:43 +0000

python-zamg (0.3.6-1) unstable; urgency=medium

  * Initial release. (Closes: #1100012)

 -- Edward Betts <edward@4angle.com>  Mon, 10 Mar 2025 11:16:53 +0100

=== debian/control ===
Source: python-zamg
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aresponses <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/killer0071234/python-zamg
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-zamg
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-zamg.git

Package: python3-zamg
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for accessing weather data from GeoSphere Austria
 This library enables the retrieval of meteorological data from GeoSphere
 Austria's network of weather stations. It accesses up to 228 different
 stations across Austria to provide accurate weather information, including
 temperature, humidity, pressure, and wind speed. Leveraging the datahub-api,
 it offers a comprehensive suite of weather metrics such as dew point,
 precipitation, and snow accumulation, ensuring a thorough understanding of the
 atmospheric conditions. The library is designed for efficient data handling
 and updates, rendering it a valuable tool for accessing real-time weather data
 from various regions across Austria.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--no-cov -k "not test_update_fail_3 and not test_properties_fail_2"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/killer0071234/python-zamg/tags .*/v?(\d\S+)\.tar\.gz
